import { FASTElement } from "@microsoft/fast-element";
import { IOverhideHub, PaymentsInfo } from '../hub/definitions';
export declare class OverhideBtcManual extends FASTElement {
    hubId?: string;
    address?: string | null;
    isAddressValid: boolean;
    isActive: boolean;
    messageClass: string;
    message?: any;
    hub?: IOverhideHub;
    constructor();
    setHub(hub: IOverhideHub): void;
    hubIdChanged(oldValue: string, newValue: string): void;
    connectedCallback(): void;
    paymentInfoChanged(info: PaymentsInfo): void;
    changeAddress(event: any): Promise<void>;
    setNormalMessage(): void;
    setInvalidMessage(): void;
    showTransactions(): void;
    copyToClipboard(): void;
    continue(): Promise<void>;
}
//# sourceMappingURL=btc-manual.d.ts.map