import { FASTElement } from "@microsoft/fast-element";
import { IOverhideLogin, IOverhideHub, PaymentsInfo } from '../hub/definitions';
export declare class OverhideLogin extends FASTElement implements IOverhideLogin {
    hubId?: string;
    overhideLedgerEnabled?: boolean;
    overhideBitcoinEnabled?: boolean;
    overhideSocialMicrosoftEnabled?: boolean;
    overhideSocialGoogleEnabled?: boolean;
    overhideOhledgerWeb3Enabled?: boolean;
    overhideEthereumWeb3Enabled?: boolean;
    rootElement?: HTMLElement;
    envelopeElement?: HTMLElement;
    overhideSocialMicrosoftElement?: HTMLElement;
    overhideSocialGoogleElement?: HTMLElement;
    overhideOhledgerWeb3Element?: HTMLElement;
    overhideEthereumWeb3Element?: HTMLElement;
    overhideBitcoinElement?: HTMLElement;
    overhideLedgerElement?: HTMLElement;
    hub?: IOverhideHub;
    opens: any[];
    constructor();
    open(): Promise<void>;
    close(): void;
    setHub(hub: IOverhideHub): void;
    hubIdChanged(oldValue: string, newValue: string): void;
    connectedCallback(): void;
    paymentInfoChanged(info: PaymentsInfo): void;
    outsideClick(event: any): void;
}
//# sourceMappingURL=component.d.ts.map