import { FASTElement } from "@microsoft/fast-element";
import { IOverhideHub, PaymentsInfo } from '../hub/definitions';
export declare class OverhideOhWeb3 extends FASTElement {
    hubId?: string;
    address?: string | null;
    isActive: boolean;
    messageClass: string;
    message?: any;
    hasWallet?: boolean;
    hub?: IOverhideHub;
    constructor();
    setHub(hub: IOverhideHub): void;
    hubIdChanged(oldValue: string, newValue: string): void;
    connectedCallback(): void;
    paymentInfoChanged(info: PaymentsInfo): void;
    setNormalMessage(): void;
    setInvalidMessage(): void;
    showTransactions(): void;
    continue(): Promise<void>;
}
//# sourceMappingURL=ohledger-web3.d.ts.map