import { FASTElement } from "@microsoft/fast-element";
import { Imparter, IOverhideHub, IOverhideLogin, IOverhideStatus, PaymentsInfo } from '../hub/definitions';
export declare class OverhideStatus extends FASTElement implements IOverhideStatus {
    hubId?: string;
    error?: string | null;
    logo?: string | null;
    address?: string | null;
    canLogout?: boolean | null;
    canGetTransactions?: boolean | null;
    hub?: IOverhideHub | null;
    currentImparter?: Imparter | null;
    isSignedIn: boolean;
    loginElement?: IOverhideLogin | null;
    constructor();
    setHub(hub: any): void;
    hubIdChanged(oldValue: string, newValue: string): void;
    connectedCallback(): void;
    paymentInfoChanged(info: PaymentsInfo): void;
    logout(): void;
    refresh(): void;
    errorSet(error: string): void;
    addressClicked(): void;
}
//# sourceMappingURL=component.d.ts.map